#ifndef SHPRC_PLASMA
#define SHPRC_PLASMA

//#include "jeShaderDefs.h"



void			Plasma_Destroy(Procedural * P);
Procedural		*Plasma_Create(jeBitmap **ppBitmap, shader_info_t *info);
jeBoolean		Plasma_Animate(Procedural *P, float ElapsedTime);

ProcVarTable	*Plasma_SetUserData(double CircleScale, double RollStep, jeBoolean doAlpha, jeBoolean doDisplacement);
void			Plasma_SetPSpec(ProcVarTable *userdata, char *type, double R1, double R2, double R3, double R4, double G1, double G2, double G3, double G4, double B1, double B2, double B3, double B4);

#endif